#
# spec file for package harec
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

%define  haredir  %{_usrsrc}/hare
Name:           madeline
Release:        1.2
Version:        0.1+git.1716356019.c693a0a
Summary:        Hare readline
URL:            https://git.sr.ht/~ecs/madeline
Source0:        %{name}-%{version}.tar.zst
Source99:       madeline-rpmlintrc
BuildRequires:  hare
BuildRequires:  zstd
BuildArch:      noarch
License:        GPL-3.0-only

%description
tiny readline-alike with some batteries included

%prep
%autosetup -p1

%build
:

%install
install -dm755 %{buildroot}%{haredir}/third-party
cp -avt %{buildroot}%{haredir}/third-party graph made

%check
hare test

%files
%license LICENSE README
%dir %{haredir}
%{haredir}/third-party

%changelog
* Wed Oct 23 2024 mcepl@cepl.eu
- Update to version 0.1+git.1716356019.c693a0a:
  * Update per breaking stdlib changes
  * Use done type and for-each iterator loops
- Add madeline-rpmlintrc as an additional Source.
* Mon May 13 2024 Matej Cepl <mcepl@cepl.eu>
- Fix location of installation of hare files.
- Silence rpmlint warnings (including making the package noarch).
* Sun May 12 2024 mcepl@cepl.eu
- Update to version 0+git.1710484775.54dcf14:
  * implement numeric prefixes
  * don't explode on f3
  * make hash table growth a more aggressive
  * fix leak in example
  * vi: add dd
  * more vi mode stuff
  * move default config into a separate file
  * separate words with '-' in actions
  * first stab at a vi mode
  * pass full made::state to prompter
* Sun May 12 2024 Matej Cepl <mcepl@cepl.eu>
- Add missing dir ownership for %%%%{_libdir}/hare
* Sun May 12 2024 mcepl@cepl.eu
- Update to version 0+git.1710484775.54dcf14:
  * implement numeric prefixes
  * don't explode on f3
  * make hash table growth a more aggressive
  * fix leak in example
  * vi: add dd
  * more vi mode stuff
  * move default config into a separate file
  * separate words with '-' in actions
  * first stab at a vi mode
  * pass full made::state to prompter
  * recognize esc
  * bit of work towards a vi mode
  * add configurable bindings
  * update for new label syntax
  * fix enter in hist tok mode
  * fix a double-free
  * add token history mode
  * escape: always return escaped string
  * split: allow getting arbitrary tokens
  * remove unreachable return
  * Use utf8::strerror
  * Capitalize strerror messages
  * Add more types to error tagged union
  * s/os::finish/fs::finish/
  * graph: fix memory leak on invalid UTF-8
  * fix a use-after-free in complete_fs
  * Update per bufio function name changes
* Sun Aug 27 2023 mcepl@cepl.eu
- Update to version 0+git.1692625360.0d00d20:
  * Use opaque
* Wed Aug  9 2023 mcepl@cepl.eu
- Update to version 0+git.1691186389.17a6c61:
  * stdlib updates
  * move splitter into made::
  * Add hinter type
  * fix ^p and ^n
  * style
  * add default completer
  * dedupe our history
  * show post-prompt during history traversal
  * differentiate between synced lines and our lines
  * sync history across madeline instances
* Wed Aug  9 2023 Matej Cepl <mcepl@suse.com>
- Initial packaging of madeline from git.
